aboutsummaryrefslogtreecommitdiffstats
path: root/dist/man.sh
diff options
context:
space:
mode:
author1138-4EB <1138-4EB@users.noreply.github.com>2019-11-21 17:39:24 +0000
committertgingold <tgingold@users.noreply.github.com>2019-11-21 18:39:24 +0100
commite506f77e8f6ddeb3e114a3b7e3ce5f114192d801 (patch)
treed9387c5867ba98c81988591713249915230db9e3 /dist/man.sh
parent03862a4607fd127e6570a3e141a92265a23c2a68 (diff)
downloadghdl-e506f77e8f6ddeb3e114a3b7e3ce5f114192d801.tar.gz
ghdl-e506f77e8f6ddeb3e114a3b7e3ce5f114192d801.tar.bz2
ghdl-e506f77e8f6ddeb3e114a3b7e3ce5f114192d801.zip
Actions: add workflow 'push' (#1016)
* use CC=clang to build C sources on macOS * actions: ensure that shared libs are in the PATH on windows * ci: add GitHub Actions 'push' workflow * ci: fix group labels * dist: add GRAY to ansi_color * ci: use same scripts for GHA and Travis
Diffstat (limited to 'dist/man.sh')
-rwxr-xr-xdist/man.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/dist/man.sh b/dist/man.sh
new file mode 100755
index 000000000..5244e49a7
--- /dev/null
+++ b/dist/man.sh
@@ -0,0 +1,15 @@
+#! /bin/bash
+
+cd $(dirname $0)/..
+
+rm -rf doc/_build/man/*
+
+set -e
+
+docker run --rm -it \
+ -v /$(pwd):/src \
+ -w //src/doc \
+ btdi/sphinx:py2-featured \
+ sh -c "sphinx-build -T -b man . ./_build/man"
+
+nroff -man doc/_build/man/ghdl.1